import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-24 11:48
 */
export interface Wb_register_event {
    /**
    *
    * @type { number }
    */
    id?: number;
    /**
    *
    * @type { string }
    */
    outerUserId?: string;
    /**
    *
    * @type { string }
    */
    userAction?: string;
    /**
    *
    * @type { string }
    */
    actionTime?: string;
    /**
    *
    * @type { string }
    */
    outerData?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export declare class Wb_register_eventMI {
    static get ID(): FieldInfo;
    static get OUTER_USER_ID(): FieldInfo;
    static get USER_ACTION(): FieldInfo;
    static get ACTION_TIME(): FieldInfo;
    static get OUTER_DATA(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
}
